<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@modified	juan.agudelo 26-03-12 adicion de parametro en detalle de tramite y componente
            faltante de detalle de predio
@description
página para cuando el cu se hace de forma individual
CU: Aplicar cambios CU-NP-CO-167
página principal

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"	
                template="/templates/generalCU.xhtml"
                xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Aplicación cambios::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();alert('Error AJAX en la aplicación');" />

        <p:focus />

        <p:fieldset>
            <legend>
                <h:outputText value="Identificación del trámite" styleClass="legendTitle" />
            </legend>

            <p:spacer height="10" width="0" />
            <center>
                <h:form prependId="false">
                    <p:messages id="msgsAplicCambios" showDetail="false" globalOnly="false" />

                    <h:panelGrid columns="5" width="80%">
                        <h:outputLabel value="Número de radicación: " styleClass="outputLabelStyle" />
                        <p:commandLink oncomplete="detalleTramiteWV.show()"
                                       immediate="true" title="Ver detalles del trámite"
                                       update="detalleTramiteEjecutarForm, msgsAplicCambios">
                            <h:outputText style="width:150px"
                                          styleClass="commandLinkStyle"
                                          value="#{aplicacionCambios.currentTramite.numeroRadicacion}"/>
                            <f:setPropertyActionListener
                                value="#{aplicacionCambios.currentTramite}"
                                target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                        </p:commandLink>
                        <p:spacer height="0" width="30" />
                        <h:outputLabel value="Fecha de radicación: " styleClass="outputLabelStyle" />
                        <h:outputText id="fechaSolicitud" styleClass="outputTextStyle"
                                      value="#{aplicacionCambios.currentTramite.fechaRadicacion}">
                            <f:convertDateTime
                                pattern="#{general.formatoFechaComponenteCalendar}" />
                        </h:outputText>

                        <h:outputLabel value="Tipo de trámite: "
                                       styleClass="outputLabelStyle" />
                        <h:panelGroup>
                            <h:outputText value="#{aplicacionCambios.currentTramite.tipoTramite}"
                                          id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                                <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                            </h:outputText>
                            <h:outputText value=" #{aplicacionCambios.currentTramite.claseMutacion}"
                                          id="MutacionClaseV" styleClass="outputTextStyle">
                                <f:converter converterId="converterCB" for="MutacionClaseV" />
                            </h:outputText>
                        </h:panelGroup>
                        <p:spacer height="0" width="30" />
                        <h:outputLabel value="Resolución:" styleClass="outputLabelStyle" />
                        <p:commandLink oncomplete="docResolucionWV.show()"
                                       action="#{aplicacionCambios.consultarDocResolucion}"
                                       title="Ver documento de resolución"
                                       update="docResolucionPanel, msgsAplicCambios">
                            <h:outputText 
                                value="#{aplicacionCambios.currentTramite.resultadoDocumento.numeroDocumento}"
                                styleClass="commandLinkStyle" />
                        </p:commandLink>

                    </h:panelGrid>

                    <p:spacer height="30" width="0" />
                    <p:outputPanel layout="block" style="text-align: center">
                        <p:commandButton value="Aplicar cambios"
                                         ajax="false"
                                         action="#{aplicacionCambios.aplicarCambios}"
                                         icon="ui-icon-seek-next"/>
                    </p:outputPanel>

                </h:form>
            </center>
        </p:fieldset>



        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="1024" height="550">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam" value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Documento de resolución"
                  widgetVar="docResolucionWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="900" height="500">
            <ui:include src="documentoResolucion.xhtml">
                <ui:param name="widgetVarParam" value="docResolucionWV" />
                <ui:param name="managedBeanParam" value="#{aplicacionCambios}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />
        <ui:include src="../../util/visorGeografico.xhtml" />			
    </ui:define>
</ui:composition>